## gdbm 1.8.3

=== debian/changelog ===
gdbm (1.8.3-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh_installchangelogs (closes: #752465).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Nov 2014 18:18:49 +0100

gdbm (1.8.3-13) unstable; urgency=high

  [ Helmut Grohne ]
  * Source upload. Closes: #752465
  * Move documentation from libgdbm3 to libgdbm-dev to comply with policy 8.2.
    Closes: #752830

  [ Anibal Monsalve Salazar ]
  * Bootstrap without texinfo.
    Patch by Daniel Schepler.
    Closes: #737943.
  * Standards Version is 3.9.5.
  * Remove debian/source/options.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 17 Jul 2014 10:29:02 +0100

gdbm (1.8.3-12) unstable; urgency=low

  * Fix texinfo errors
    Add 08-709905-gdbm.texinfo.patch
    Closes: #709905
  * libtool is invoked with --mode=install
    Update 04_fix-gdbm-compat-linking.patch
    Patch by Igor Pashev
    Closes: #651521
  * Standards Version is 3.9.4

  [ Wookey ]
  * Fix crossbuild to use correct strip binary 
    Closes: #604648

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 02 Jun 2013 08:43:36 +1000

gdbm (1.8.3-11) unstable; urgency=low

  * Debian source format is 3.0 (quilt)
  * Standards version is 3.9.3
  * Use hardening options
    Closes: #657040
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 10 Jun 2012 12:56:00 +1000

gdbm (1.8.3-10) unstable; urgency=low

  * Use multiarch library paths
    Patch by Steve Langasek
    Closes: 632295
  * Set SHELL variable in Makefile.in to @SHELL@
    Add debian/patches/03-Makefile.in.patch
    Closes: 621934
  * Fix out-of-date-standards-version
  * Fix non-empty-dependency_libs-in-la-file

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 01 Jul 2011 22:29:02 +1000

gdbm (1.8.3-9) unstable; urgency=low

  * Update upstream homepage address
  * Avoid entering an infinite loop reading a file
    Patch by Sandro Serafini
    Closes: 511250

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 21 Nov 2009 17:16:51 +1100

gdbm (1.8.3-8) unstable; urgency=low

  * Build depend on quilt 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 07 Nov 2009 21:32:33 +1100

gdbm (1.8.3-7) unstable; urgency=low

  [ Sylvain Beucler <beuc@beuc.net> ]

  * Non-maintainer upload.
  * Replace obsoleted automake1.4 with automake; gdbm does not use
    'automake' itself but uses 'aclocal' which is provided by that package
    Closes: 549099 
  * Fix patch-system-but-no-source-readme: add README.source refering to
    /usr/share/doc/dpatch/README.source.gz
  * Fix debian-rules-ignores-make-clean-error: test for Makefile presence
  * Fix package-contains-empty-directory: drop empty usr/share/info/ from
    libgdbm-dev
  * Fix no-md5sums-control-file: manually generate md5sums control file
    using code from dh_md5sums
  * Fix install-info-used-in-maintainer-script: remove postinst.dev and
    prerm.dev, and depends on 'dpkg (>= 1.15.4) | install-info'
  * Fix no-symbols-control-file: import base symbols file from
    http://qa.debian.org/cgi-bin/mole/seedsymbols/?pkgname=libgdbm3 to
    'debian/symbols' and drop Debian version number. Keep private _gdbm
    symbols pending discussion with upstream about declaring them
    'static', but tag them 'optional'.

  [ Anibal Monsalve Salazar ]

  * Fix: gdbm source: out-of-date-standards-version
  * Fix: libgdbm3: no-upstream-changelog

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 12 Oct 2009 10:34:05 +1100

gdbm (1.8.3-6) unstable; urgency=low

  * Remove gdbm.3.gz gdbm.info from libgdbm-dev. Closes: 536356

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Jul 2009 21:04:35 +1000

gdbm (1.8.3-5) unstable; urgency=low

  * Update libtool, config.{sub,guess}. Closes: 528216
    Drop 03_autoreconf.dpatch
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-symlink-license
  * Fix info-document-not-compressed
  * Fix manpage-not-compressed
  * Fix manpage-section-mismatch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Jul 2009 10:07:21 +1000

gdbm (1.8.3-4) unstable; urgency=low

  * New maintainer; closes: #496710 
  * libgdbm3 depends on ${misc:Depends}
  * Add homepage control header
  * Add debian/watch
  * postinst installs the right info file; patch by Nicolas François;
    closes: #374260
  * Fix the following lintian issues:
    W: substvar-source-version-is-deprecated libgdbm-dev
    W: ancient-standards-version 3.6.2.2 (current is 3.8.0)
    W: libgdbm3: unknown-section base

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Aug 2008 16:36:58 +1000

gdbm (1.8.3-3) unstable; urgency=low

  * debian/postinst, debian/postrm: invoke ldconfig for configure and
    remove respectively.  Closes: #364502
  * debian/rules (binary-libgdbm): install them.

  * 05_handle-short-read.dpatch: new patch for Steve Langasek to make gdbm
    handle read(2) returning less data than we asked for.  Closes: #274417

  * 03_autoreconf.dpatch: updated to support newer architectures.  Closes:
    #258175, #218400

  * Rebuild with modern glibc.  Closes: #321723

  * Following is based on a patch from NIIBE Yutaka <gniibe@fsij.org> to
    support cross building. Closes: #283065
   * debian/rules (build): pass --host to configure if cross compiling.
   * debian/rules (binary-libgdbm): invoke 'make install' with a correct
     INSTALL_ROOT instead of installing the shared libraries byhand.  We
     have to clean up afterwards (i.e. remove stuff that should be in
     libgdbm-dev, fix the permissions and strip the libraries), but doing
     so allows us to...
   * debian/control (Build-Depends): drop chrpath.

  * debian/control (Standards-Version): update to 3.6.2.2.
  * debian/copyright: update FSF address and copyright years.
  * debian/rules: likewise.

  * debian/rules: trivial cleanups and consistency, e.g. $$() in place of
    ``, don't use - prefix with rm -f, split long lines, etc.


