=== debian/control ===
Source: gdbm
Section: libs
Priority: important
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: texinfo, libtool, automake, autoconf, autotools-dev,
 dpkg-dev (>= 1.16.1~), debhelper (>= 7)
Standards-Version: 3.9.5
Homepage: http://directory.fsf.org/project/gdbm/

Package: libgdbm3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Multi-Arch: same
Pre-Depends: multiarch-support
Description: GNU dbm database routines (runtime version)
 GNU dbm ('gdbm') is a library of database functions that use extendible
 hashing and works similarly to the standard UNIX 'dbm' functions.
 .
 The basic use of 'gdbm' is to store key/data pairs in a data file, thus
 providing a persistent version of the 'dictionary' Abstract Data Type
 ('hash' to perl programmers).

Package: libgdbm-dev
Architecture: any
Depends: libc6-dev | libc-dev, libgdbm3 (= ${binary:Version})
Conflicts: libgdbm1-dev, libgdbmg1-dev
Breaks: libgdbm3 (<< 1.8.3-12.1)
Replaces: libgdbmg1-dev, libgdbm3 (<< 1.8.3-12.1)
Section: libdevel
Priority: optional
Description: GNU dbm database routines (development files)
 GNU dbm ('gdbm') is a library of database functions that use extendible 
 hashing and works similarly to the standard UNIX 'dbm' functions.  This 
 package includes development support files.
