## gdbm 1.8.3-2maemo2%2b0m5

=== debian/changelog ===
gdbm (1.8.3-2maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 09 Jul 2009 10:54:22 +0300

gdbm (1.8.3-2maemo2) unstable; urgency=low

  * Fixes: NB#118347 Completely redebianized the package. Now a -dbg package is
    also generated.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 01 Jul 2009 13:14:43 +0300

gdbm (1.8.3-2maemo1) unstable; urgency=low

  * Recompiled for Fremantle

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 10 Feb 2009 16:57:43 +0200
