## gdbm 1.8.3-2maemo3+0m5

=== debian/changelog ===
gdbm (1.8.3-2maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 19 Oct 2009 12:20:28 +0300

gdbm (1.8.3-2maemo3) unstable; urgency=low

  * Fixes: NB#141414 libgdbm_compat missing linking to libgdbm

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 01 Oct 2009 12:14:22 +0300
