=== debian/control ===
Source: gdbm
Section: libs
Priority: standard
Maintainer: Juha Kallioinen <juha.kallioinen@nokia.com>
Build-Depends: texinfo
Standards-Version: 3.6.1.0

Package: libgdbm3
Architecture: any
Section: base
Priority: standard
Depends: ${shlibs:Depends}
Description: GNU dbm database routines (runtime version)
 GNU dbm ('gdbm') is a library of database functions that use extendible
 hashing and works similarly to the standard UNIX 'dbm' functions.
 .
 The basic use of 'gdbm' is to store key/data pairs in a data file, thus
 providing a persistent version of the 'dictionary' Abstract Data Type
 ('hash' to perl programmers).

Package: libgdbm3-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libgdbm3 (= ${Source-Version})
Description: GNU dbm database routines (debugging symbols)
 GNU dbm ('gdbm') is a library of database functions that use extendible
 hashing and works similarly to the standard UNIX 'dbm' functions.

Package: libgdbm-dev
Architecture: any
Depends: libc6-dev | libc-dev, libgdbm3 (= ${Source-Version})
Conflicts: libgdbm1-dev, libgdbmg1-dev
Replaces: libgdbmg1-dev
Section: libdevel
Priority: optional
Description: GNU dbm database routines (development files)
 GNU dbm ('gdbm') is a library of database functions that use extendible 
 hashing and works similarly to the standard UNIX 'dbm' functions.  This 
 package includes development support files.
