## gdbm 1.18.1

=== debian/changelog ===
gdbm (1.18.1-4) unstable; urgency=medium

  * Install gdbm tools without large file support to facilate transition
    of databases, created on Stretch and before. (Closes: #923609)
  * Re-export upstream signing key without extra signatures.

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 12 Mar 2019 20:23:34 +0000

gdbm (1.18.1-3) unstable; urgency=medium

  * Make values of __DATE__ and __TIME__ macros independent of locale.
  * Add future=+all into DEB_BUILD_MAINT_OPTIONS instead of manual
    calls to getconf(1).

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 13 Feb 2019 14:08:31 -0500

gdbm (1.18.1-2) unstable; urgency=medium

  * Update Vcs-* fields in debian/control.
  * Add `Build-Depends-Package' field into symbols file.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 24 Nov 2018 17:58:05 +0000

gdbm (1.18.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, introduced in previous release
    (included in current upstream release)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 27 Oct 2018 06:59:07 +0000

gdbm (1.18-3) unstable; urgency=medium

  * Set Rules-Requires-Root to `no'
  * Replace `debian/compat' with modern `debhelper-compat' dependency
  * Redefine __DATE__ and __TIME__ macros to ensure reproducible build.
    + Remove obsoleted `03_ensure_reproducible_build.patch'
  * Switch to gbp-applied workflow
  * Backport upstream patches that restores compatibility with old databases
    (Closes: #910911)
  * Update symbols file (Backported patches introduced new internal symbol)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 26 Oct 2018 21:53:18 +0000

gdbm (1.18-2) unstable; urgency=medium

  * Upload to unstable

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 06 Oct 2018 13:04:19 +0000

gdbm (1.18-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches
  * Correct debian/copyright in regard of test suite
  * Update standards version to 4.2.1

 -- Dmitry Bogatov <KAction@gnu.org>  Thu, 27 Sep 2018 20:09:55 +0300

gdbm (1.17-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 31 Jul 2018 22:52:05 +0300

gdbm (1.16-1) experimental; urgency=medium

  * New upstream release
  * Add build-dependency on bison
  * Remove binary package libgdbm5, add libgdbm6 due upstream SONAME bump.
  * Update debian/symbols
  * Update standards version to 4.1.4 (no changes needed)

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 06 Jul 2018 18:07:17 +0300
