=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: gdbm
 Section: libs
 Priority: optional
-Maintainer: Dmitry Bogatov <KAction@gnu.org>
+Maintainer: Dmitry Bogatov <KAction@debian.org>
 Build-Depends: texinfo,
-               debhelper (>= 11~),
+               debhelper-compat (= 11),
                dh-exec,
                dietlibc-dev (>= 0.34~cvs20160606-3) [alpha amd64 arm64 armeb armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32] <!pkg.gdbm.nodietlibc>,
-               libreadline-dev
-Standards-Version: 4.1.3
+               libreadline-dev,
+               bison
+Standards-Version: 4.2.1
 Homepage: https://gnu.org/software/gdbm
-Vcs-Browser: https://salsa.debian.org/iu-guest/gdbm
-Vcs-Git: https://salsa.debian.org/iu-guest/gdbm.git
+Vcs-Browser: https://salsa.debian.org/debian/gdbm
+Vcs-Git: https://salsa.debian.org/debian/gdbm.git
+Rules-Requires-Root: no
 X-Short-Desc: GNU dbm database routines
 X-Long-Desc:
  GNU dbm ('gdbm') is a library of database functions that use extendible
@@ -20,7 +22,7 @@
  providing a persistent version of the 'dictionary' Abstract Data Type
  ('hash' to perl programmers).
 
-Package: libgdbm5
+Package: libgdbm6
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: gdbm-l10n (= ${source:Version})
@@ -39,7 +41,7 @@
 
 Package: libgdbm-dev
 Architecture: any
-Depends: libc6-dev | libc-dev, libgdbm5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libc6-dev | libc-dev, libgdbm6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${libgdbm-dietlibc:Provides}
 Section: libdevel
 Multi-Arch: same
@@ -72,7 +74,7 @@
  .
  This package includes library files, required to run old programs,
  that use legacy 'dbm' interface. For new programs, please use modern
- interface, provided by libgdbm5 and libgdbm-dev.
+ interface, provided by libgdbm6 and libgdbm-dev.
 
 Package: libgdbm-compat-dev
 Architecture: any
@@ -84,4 +86,4 @@
  .
  This package includes development files, required to build old
  programs, that use legacy 'dbm' interface. For new programs, please
- use modern interface, provided by libgdbm5 and libgdbm-dev.
+ use modern interface, provided by libgdbm6 and libgdbm-dev.
