=== debian/tests/control ===
# Autopkgtest manual advices aganist @builddeps@
Tests: simple
Depends: @, @builddeps@
Restrictions: allow-stderr

# vim: ft=debcontrol
