## gdbm 1.22

=== debian/changelog ===
gdbm (1.22-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove empty leading paragraph in Description.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dietlibc-dev.
    + libgdbm-compat-dev: Drop versioned constraint on libgdbm-dev in Replaces.
    + libgdbm-compat-dev: Drop versioned constraint on libgdbm-dev in Breaks.

  [ Nicolas Mora ]
  * New upstream release
  * d/control: Add 'Multi-Arch: same' for libgdbm-compat-dev
  * d/copyright: Remove git2chg.awk
  * d/patches: remove patches string-h.patch and struct-stat.patch,
    applied upstream

 -- Nicolas Mora <babelouest@debian.org>  Wed, 20 Oct 2021 07:34:42 -0400

gdbm (1.21-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.6.0
  * d/patches: Apply upstream patches to support diet libc compilation

 -- Nicolas Mora <babelouest@debian.org>  Tue, 07 Sep 2021 09:52:45 -0400

gdbm (1.20-1) unstable; urgency=medium

  * New maintainer upload (Closes: #991028)
  * New upstream version 1.20
  * Update Standards-Version to 4.5.1
  * d/control: Update debhelper version to 13
  * d/upstream/metadata: Add Repository and Repository-Browse
  * d/patches/recover.patch: Fix file descriptor leak (Closes: #983914)
  * libgdbm-compat-dev: Install libgdbm_compat.a

 -- Nicolas Mora <babelouest@debian.org>  Fri, 16 Jul 2021 09:05:53 -0400
