## gdbm 1.23

=== debian/changelog ===
gdbm (1.23-5.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:37:25 +0000

gdbm (1.23-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063116

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:04:12 +0000

gdbm (1.23-5) unstable; urgency=medium

  * Upload to unstable

 -- Nicolas Mora <babelouest@debian.org>  Tue, 28 Nov 2023 07:51:35 -0500

gdbm (1.23-4) experimental; urgency=medium

  * d/control: remove dietlibc-dev from builddep (Closes: #1055186)
  * Update Standards-Version to 4.6.2
  * d/rules: Remove glibc-nolfs-build (Closes: #1055187)

 -- Nicolas Mora <babelouest@debian.org>  Wed, 01 Nov 2023 20:30:06 -0400

gdbm (1.23-3) unstable; urgency=medium

  * libgdbm-compat-dev: Add dependency libgdbm-dev (Closes: #1021123)

 -- Nicolas Mora <babelouest@debian.org>  Sun, 02 Oct 2022 20:24:12 -0400

gdbm (1.23-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * d/symbols: fix ftbfs on !linux (Closes: #1018234)

  [ Nicolas Mora ]
  * d/control: Update standards version to 4.6.1 (no change)

 -- Nicolas Mora <babelouest@debian.org>  Sun, 04 Sep 2022 09:42:54 -0400

gdbm (1.23-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: update copyright year
  * d/symbols: update symbols file

 -- Nicolas Mora <babelouest@debian.org>  Sat, 05 Feb 2022 09:28:32 -0500
