=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export LC_ALL = C
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all
include /usr/share/dpkg/default.mk

export CFLAGS += -U__DATE__ -U__TIME__

%:
	dh $@

override_dh_auto_configure:
	sed -ri '/^POT-Creation-Date:/ d' po/*.po
	dh_auto_configure -B glibc-build -- --enable-libgdbm-compat --enable-largefile

override_dh_auto_build:
	dh_auto_build -B glibc-build

override_dh_auto_install:
	dh_auto_install -B glibc-build

override_dh_missing:
	dh_missing --list-missing
