## gdbm 1.24

=== debian/changelog ===
gdbm (1.24-2) unstable; urgency=medium

  * upload to unstable
  * Update Standards-Version to 4.7.0
  * d/tests: fix read-back.c casting error

 -- Nicolas Mora <babelouest@debian.org>  Wed, 07 Aug 2024 07:53:25 -0400

gdbm (1.24-1) experimental; urgency=medium

  * New Upstream release
  * d/patches: Remove applied upstream patch
    0001-Ensure-any-padding-bytes-in-avail_elem-are-filled-wi.patch

 -- Nicolas Mora <babelouest@debian.org>  Thu, 04 Jul 2024 07:39:23 -0400

gdbm (1.23-6) unstable; urgency=medium

  * d/control: Add builddep flex
  * d/copyright: Update year to 2024
  * d/rules: Remove glibc-build/ files on clean
  * d/patches: Remove old patches
  * d/patches: Add patch
    0001-Ensure-any-padding-bytes-in-avail_elem-are-filled-wi.patch
    to fix reproductibility issue (Closes: #1031276)

 -- Nicolas Mora <babelouest@debian.org>  Fri, 26 Apr 2024 07:20:47 -0400
