=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: gdbm
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Mora <babelouest@debian.org>
+Maintainer: Nicolas Mora <babelouest@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), texinfo,
                debhelper-compat (= 13),
                dh-exec,
                libreadline-dev,
-               bison
-Standards-Version: 4.6.2
+               bison,
+               flex
+Standards-Version: 4.7.0
 Homepage: https://gnu.org/software/gdbm
 Vcs-Browser: https://salsa.debian.org/debian/gdbm
 Vcs-Git: https://salsa.debian.org/debian/gdbm.git
